Bug 104434 - sysutils/915resolution: depenguinate
Summary: sysutils/915resolution: depenguinate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-15 12:10 UTC by Sam Lawrance
Modified: 2006-10-31 07:10 UTC (History)
0 users

See Also:


Attachments
patch-915resolution (4.12 KB, text/plain)
2006-10-15 12:10 UTC, Sam Lawrance
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Lawrance freebsd_committer 2006-10-15 12:10:18 UTC
915resolution is a linux binary.  I was just thinking it would be
nice to have on FreeSBIE, but the linux dependencies hanging off
it are unattractive.

Fix: Please see the attached patch which modifies the port to build
a native version of 915resolution.
How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2006-10-15 12:10:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2006-10-15 12:10:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Remington 2006-10-16 17:31:15 UTC
This patch looks good, tested on 6.2-PRE with no issues.

On Sun, 15 Oct 2006 11:10:37 UT, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of sysutils/915resolution,
>
> Please note that PR ports/104434 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/104434
>
> --
> Edwin Groothuis
> edwin@FreeBSD.org
>
Comment 4 Sam Lawrance freebsd_committer 2006-10-16 21:27:12 UTC
State Changed
From-To: feedback->open

Maintainer approved (thanks!). 

I will commit this in the week after the ports freeze.
Comment 5 Sam Lawrance freebsd_committer 2006-10-31 07:05:20 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2006-10-31 07:07:17 UTC
lawrance    2006-10-31 07:07:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/915resolution Makefile pkg-descr 
  Added files:
    sysutils/915resolution/files patch-915resolution.c 
  Log:
  Build native nstead of installing a linux binary.
  Bump PORTREVISION for this change.
  
  PR:             ports/104434
  Approved by:    Remington L <mrl0lz@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.4       +6 -5      ports/sysutils/915resolution/Makefile
  1.1       +90 -0     ports/sysutils/915resolution/files/patch-915resolution.c (new)
  1.2       +1 -2      ports/sysutils/915resolution/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"